---
title: "Get tax rate by id"
description: "Fetch one tax rate by its Qashio identifier."
source: https://developers.qashio.com/v2/reference/get-public-v1-erp-tax-rates-by-taxrateid/
---

# Get tax rate by id

`GET /public/v1/erp/tax_rates/{taxRateId}`

Requires a Bearer access token.

**Purpose.** Fetch one tax rate by its Qashio identifier.

**Description.** Returns a single tax rate record with the owning company embedded.

**Input (path).** `taxRateId` — the Qashio UUID.

**Output.** One tax rate object with the list fields plus `erp_company`.

**Errors.** `400`, `401`, `403`, `404`.

---

# Spend and reconciliation

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `taxRateId` | string | yes | the Qashio UUID. |

### Example request

```bash
curl -X GET 'https://api.qashio.com/public/v1/erp/tax_rates/%3AtaxRateId' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer <access_token>'
```

### Example response (200)

```json
{
  "status_code": 200,
  "success": true,
  "data": {
    "id": "2d3117fb-bb15-4260-8064-261984d34086",
    "remote_name": "Tax Rate - 1",
    "remote_id": "295",
    "tax_rate_code": "EXEMPT",
    "total_tax_rate": 0,
    "status": "inactive",
    "country_code": "SAU",
    "is_deleted": false,
    "updated_at": "2026-07-16T00:35:46.603Z",
    "created_at": "2026-07-16T00:35:46.603Z",
    "erp_company": {
      "id": "68c9f979-0360-4e4e-a5c5-327c8119ecb3",
      "name": "Qashio",
      "business_legal_name": "Qashio 2",
      "company_country": "AE",
      "parent_company_id": "COoyy0mfzqhxtxkkk",
      "status": "active",
      "is_deleted": false,
      "updated_at": "2026-08-19T10:34:14.325Z",
      "created_at": "2026-06-16T07:50:44.749Z"
    }
  },
  "meta": {
    "request_id": "3adb2d16090c7b3bdbde3b326a814b30",
    "timestamp": "2026-09-09T10:07:52.143Z"
  }
}
```

### Errors

- `400` Bad Request
- `401` Unauthorized - missing or invalid Bearer token
- `404` Not Found - the requested resource does not exist
